Package Details: deadbeef-opus-git 0.6.r2.g330e3a3-1

Git Clone URL: https://aur.archlinux.org/deadbeef-opus-git.git (read-only)
Package Base: deadbeef-opus-git
Description: opus plugin for the DeaDBeeF music player
Upstream URL: https://bitbucket.org/Lithopsian/deadbeef-opus
Licenses: GPL2
Conflicts: deadbeef-opus
Provides: deadbeef-opus
Submitter: maz-1
Maintainer: shaggytwodope
Last Packager: mis
Votes: 3
Popularity: 0.479252
First Submitted: 2015-10-07 14:55
Last Updated: 2017-02-21 13:42

Latest Comments

dreieck commented on 2016-12-08 11:22

Fails to build:

== %< ==

==> Starting build()...
cc -g0 -march=x86-64 -mtune=generic -O3 -pipe -fstack-protector --param=ssp-buffer-size=4 -D_FORTIFY_SOURCE=2 -fomit-frame-pointer -fPIC -Wall -Wstrict-overflow=5 -fstrict-overflow -Wno-sequence-point -Wno-parentheses -g -Os -std=c99 -fPIC -D_GNU_SOURCE -DHAVE_OGG_STREAM_FLUSH_FILL -DUSE_OPUSFILE_FLOAT -I/usr/include -I/usr/include/opus -I/usr/include/deadbeef -I/usr/local/include/opus -DUSE_OPUSURL opus.c -c -o opus.o
opus.c:1:39: error: expected identifier before numeric constant
#define DDB_DECODER_HINT_NEED_BITRATE 0x2
^
[...]
==> ERROR: A failure occurred in build().
Aborting...

== >% ==

fbiguy commented on 2016-02-15 10:29

Hello, may I ask what the reason for the PKGBUILD line "sed -i '1s/^/#define DDB_DECODER_HINT_NEED_BITRATE 0x2\n/' opus.c" is? For me this doesn't build unless I delete that line and throws this error:

opus.c:1:39: error: expected identifier before numeric constant
#define DDB_DECODER_HINT_NEED_BITRATE 0x2

With that line deleted it builds and works completely perfectly as far as I can tell. Thanks!